1.1

1.1

get /v1/vpn-gateways

Description

VPN gateway 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
VPN Gateway Name
Example : ExampleVpnGW1
stringNone
queryip_address
optional
VPN Gateway IP 주소
Example : 123.0.0.1
stringNone
queryvpc_id
optional
VPC ID
Example : ceb44ea5ecb34a49b16495f9a63b0718
stringNone
queryvpc_name
optional
VPC 명
Example : ExampleVPC1
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVpnGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpn-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "vpn_gateways": [
        {
            "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for VPN Gateway",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "ip_address": "123.0.0.1",
            "ip_id": "fcde872f75c145a0893d656cc698f13e",
            "ip_type": "PUBLIC",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ExampleVpnGW1",
            "state": "ACTIVE",
            "vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "vpc_name": "ExampleVPC1"
        }
    ]
}